export default function create(templateName: string, folderName: string, program?: any): Promise<any>;
/**
 * 生成模板文件
 * @param templateName
 * @param folderName
 */
export declare function generateTemplate(templateName: string): Promise<void>;
export declare function addTemplateToAllTemplatess(result: {
    templateName: string;
    templatePath: string;
}): Promise<void>;
export declare function getAllTemplates(): Promise<any>;
export declare function showAllTemplate(): Promise<void>;
/**
 * 下载并创建在线模板文件
 * @param templateName
 */
export declare function createOnlineTemplate(templateName: string): Promise<{
    templateName: string;
    templatePath: string;
}>;
export declare function createInlineTemplate(templateName: string): Promise<{
    templateName: string;
    templatePath: string;
}>;
export declare function createInlineFile(files: string[]): Promise<{
    code: any;
    filePath: any;
}[]>;
